/* #define ALPHA */
/* #define BETA */
/*+-----------------------------------------------------------------------
	ecunumrev.c - revision numbers
	wht@n4hgf.atl.ga.us

  Defined functions:
	build_revision_string()

------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:05-04-1994-04:38-wht@n4hgf-ECU release 3.30 */
/*:12-12-1993-13:28-wht@n4hgf-support MOTSVR3 */
/*:11-14-1993-12:33-wht@n4hgf-HP-UX port by Carl Wuebker at HP */
/*:09-16-1992-14:13-wht@n4hgf-add M and F version qualifiers */
/*:09-10-1992-13:58-wht@n4hgf-ECU release 3.20 */
/*:08-22-1992-15:38-wht@n4hgf-ECU release 3.20 BETA */
/*:11-16-1991-17:05-wht@n4hgf-better development "x" rev numbering */
/*:08-28-1991-14:07-wht@n4hgf2-SVR4 cleanup by aega84!lh */
/*:08-25-1991-14:39-wht@n4hgf-SVR4 port thanks to aega84!lh */
/*:07-25-1991-12:56-wht@n4hgf-ECU release 3.10 */
/*:07-12-1991-14:14-wht@n4hgf-GCC140 differentiation */
/*:04-27-1991-01:52-wht@n4hgf-overhaul revision numbers */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include "patchlevel.h"

#if defined(M_UNIX)
#undef M_XENIX
#endif

char *numeric_revision = "3";

/*
 * this is not a patchlevel, but a "sub-patchlevel" to keep my life sane
 */
#if defined(WHT) || defined(ALPHA) || defined(BETA)
char *numeric_devrev = "33";

#else
char *numeric_devrev = "";

#endif
char *revstr = "";

/*+-------------------------------------------------------------------------
	build_revision_string()
--------------------------------------------------------------------------*/
void
build_revision_string()
{
	int itmp;
	char s128[128];
	char s32[32];

	sprintf(s128, "%s%s.%02d",
		(itmp = strlen(numeric_devrev)) ?
#ifdef ALPHA
		"ALPHA-"
#else
#ifdef BETA
		"BETA-"
#else
		"x"
#endif
#endif
		: "",
		numeric_revision, PATCHLEVEL);

	if (itmp)
	{
		strcat(s128, ".");
		strcat(s128, numeric_devrev);
	}

	strcat(s128, "-");

#if defined(M_I286)
	strcat(s128, "286");
#else
#if defined(M_I386) || defined(i386) && (!defined(sun) && !defined(SVR4))
	strcat(s128, "386");
#if defined(M_XENIX)
#if defined(CFG_SelectNap)
	strcat(s128, "s");
#else
	strcat(s128, "n");
#endif /* CFG_SelectNap */
#endif /* M_XENIX */
#if defined(M_UNIX)
	strcat(s128, "u");
#endif /* M_UNIX */
#if defined(ISC)
	strcat(s128, "i");
#endif /* ISC */
#else
#if defined(sun)
	strcat(s128, "sun");
#else
#if defined(MOTSVR3)
	strcat(s128, "MotSVR3");
#else
#if defined(SVR4)
#if defined(ESIXSVR4)
#define found_one
	strcat(s128, "eSVR4");
#endif
#if defined(ISCSVR4)
#define found_one
	strcat(s128, "iSVR4");
#endif
#if defined(m68k) || defined(m88k)
#define found_one
	strcat(s128, "MotSVR4");
#endif
#if !defined(found_one)
	strcat(s128, "SVR4");
#endif /* found_one */
#undef    found_one
#else
#if defined(Linux)
	strcat(s128, "Linux");
#else
#if defined(hpux)
	strcat(s128, "HP-UX");
#else
	porting_attention_needed_here;
#endif /* hpux */
#endif /* Linux */
#endif /* SVR4 */
#endif /* MOTSVR3 */
#endif /* sun */
#endif /* M_I386 || i386 */
#endif /* M_I286 */

	s32[0] = 0;
#if defined(__GNUC__) || defined(GNUC)
	strcat(s32, "G");
#endif
#if __STDC__
	strcat(s32, "A");
#endif
#ifdef WHT
	strcat(s32, "*");
#endif /* WHT */
#ifdef MORSE
	strcat(s32, "M");
#endif /* WHT */
#ifdef FASI
	strcat(s32, "F");
#endif /* WHT */

	if (strlen(s32))
	{
		strcat(s128, "-");
		strcat(s128, s32);
	}

#ifndef CONFIG
	strcat(s128, " wht@n4hgf");
#endif

	if (!(revstr = malloc(strlen(s128) + 1)))
	{
		fprintf(stderr, "out of memory so early!?\n");
		exit(255);
	}
	strcpy(revstr, s128);

}							 /* end of build_revision_string */

/* vi: set tabstop=4 shiftwidth=4: */
