/*+-------------------------------------------------------------------------
	ugtext.c
	wht@atl.ga.us

  Defined functions:
	UG_text(ugstat)

--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:05-04-1994-04:40-wht@n4hgf-ECU release 3.30 */
/*:04-17-1994-17:58-wht@n4hgf-creation */

#include "ecuungetty.h"

/*+-------------------------------------------------------------------------
	UG_text(ugstat) - text for ecuungetty code
--------------------------------------------------------------------------*/
char *
UG_text(ugstat)
int ugstat;
{
	static char errant[32];

	switch (ugstat)
	{
		case UG_NOTENAB:
			return ("line not enabled");
			break;
		case UG_RESTART:
			return ("restart needed");
			break;
		case UG_FAIL:
			return ("line in use");
			break;
		case UGE_T_LOGIN:
			return ("-t found US_LOGIN");
			break;
		case UGE_T_LOGGEDIN:
			return ("-t found US_LOGGGEDIN");
			break;
		case UGE_T_NOTFOUND:
			return ("not found");
			break;
		case UGE_BADSWITCH:
			return ("usage: bad switch");
			break;
		case UGE_BADARGC:
			return ("usage: bad arg count");
			break;
		case UGE_BADARGV:
			return ("this a valid tty??");
			break;
		case UGE_NOTROOT:
			return ("not setuid root");
			break;
		case UGE_CALLER:
			return ("invalid caller");
			break;
		case UGE_NOUUCP:
			return ("cannot find uucp passwd entry");
			break;
		case UGE_LOGIC:
			return ("logic error");
			break;
		case UGE_BOMB:
			return ("core dumped or killed");
			break;
		case UGE_DNE:
			return ("did not execute");
			break;
	}
	sprintf(errant, "error %u", ugstat);
	return (errant);
}							 /* end of UG_text */

/* vi: set tabstop=4 shiftwidth=4: */
/* end of ugtext.c */
